
TYPO3.TYPO3CR - Feature # 3858

Status: Resolved Priority: Must have
Author: Robert Lemke Category: FLOW3 Persistence
Created: 2009-07-09 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Subject: Add objects to their own repository automatically
Description

On persisting Entities which are referencing Entities being aggregate roots as well an exception is thrown if those are not added to
their own repository (they must be added to their own repository, too).

Instead of throwing that exception, objects should be added to their own repository automatically.

Associated revisions
Revision 4597f2ca - 2009-07-24 15:53 - Karsten Dambekalns

[+FEATURE] TYPO3CR (FLOW3 Persistence): aggregate root entities in the object graph are now persisted even if they have not been added to their
very own repository, resolves #3858.

History
#1 - 2009-07-09 18:08 - Karsten Dambekalns
- Status changed from New to Accepted

#2 - 2009-07-27 11:03 - Karsten Dambekalns
- Project changed from TYPO3.Flow to TYPO3.TYPO3CR
- Category deleted (Persistence)
- Target version deleted (1.0 alpha 3)

#3 - 2009-07-27 11:06 - Karsten Dambekalns
- Category set to FLOW3 Persistence
- Status changed from Accepted to Resolved
- Target version set to 0.5.0 alpha 3
- % Done changed from 0 to 100

Resolved as of r2880

#4 - 2011-05-05 17:14 - Robert Lemke
- Target version deleted (0.5.0 alpha 3)
